package mobile.model.service.fiftech;

import mobile.model.datatype.IncidentsObject;

import mobile.model.restapi.LocalClientContextFactory;
import mobile.model.restapi.PathFactory;

import oracle.eclipse.tools.rest.runtime.client.ClientContext;

/**
 * Service class generated to expose requests defined on the REST Service file:
 * /OEPE FiF IncidentReport 1.0 definition.xmi (last modified: 2015-09-24 09:56:37.322)
 */
public class FiFRESTService {
  public IncidentsObject getIncidents() throws Exception {
    try (ClientContext context = LocalClientContextFactory.INSTANCE.create(ServiceUtil.CONNECTION_NAME)) {
      return PathFactory.INSTANCE.createFiftechPath(context).path(context.getConnectionPath())
        .getIncidentsPath()
        .invoke()
        .getIncidents();
    }
  }
}