package mobile.model.datatype;

import java.util.Collection;

import oracle.eclipse.tools.rest.runtime.datatype.DataType;
import oracle.eclipse.tools.rest.runtime.datatype.ObjectType;

/**
 * Interface generated for the 'Incidents' data type defined on the REST Service file:
 * /OEPE FiF IncidentReport 1.0 definition.xmi (last modified: 2015-09-24 09:56:37.322)
 */
public interface IncidentsObject extends ObjectType {
  @DataType(type=ItemsObject.class, multiple=true)
  Collection<ItemsObject> getItems();
  
  @DataType(type=ItemsObject.class, multiple=true)
  void setItems(Collection<ItemsObject> value);
  
  @DataType(type=String.class, multiple=true)
  Collection<String> getUris();
  
  @DataType(type=String.class, multiple=true)
  void setUris(Collection<String> value);
  
  @DataType(type=String.class, multiple=true)
  Collection<String> getEtags();
  
  @DataType(type=String.class, multiple=true)
  void setEtags(Collection<String> value);
}